#### Description:

This class provides the basic facilities for transforming a set of coordinates (representing `"` input`"` points) to give a new set of coordinates (representing `"` output`"` points). It is used to describe the relationship which exists between two different coordinate systems and to implement operations which make use of this (such as transforming coordinates and resampling grids of data). However, the Mapping class does not have a constructor function of its own, as it is simply a container class for a family of specialised Mappings which implement particular types of coordinate transformation.

#### Constructor Function

None.

#### Inheritance

The Mapping class inherits from the Object class.

#### Attributes

In addition to those attributes common to all Objects, every Mapping also has the following attributes:

- Invert: Mapping inversion flag

- IsLinear: Is the Mapping linear?

- IsSimple: Has the Mapping been simplified?

- Nin: Number of input coordinates for a Mapping

- Nout: Number of output coordinates for a Mapping

- Report: Report transformed coordinates?

- TranForward: Forward transformation defined?

- TranInverse: Inverse transformation defined?

#### Functions

In addition to those functions applicable to all Objects, the following functions may also be applied to all Mappings:

- astDecompose: Decompose a Mapping into two component Mappings

- astTranGrid: Transform a grid of positions

- astInvert: Invert a Mapping

- astLinearApprox: Calculate a linear approximation to a Mapping

- astMapBox: Find a bounding box for a Mapping

- astMapSplit: Split a Mapping up into parallel component Mappings

- astQuadApprox: Calculate a quadratic approximation to a 2D Mapping

- astRate: Calculate the rate of change of a Mapping output

- astRebin <X >: Rebin a region of a data grid

- astRebinSeq <X >: Rebin a region of a sequence of data grids

- astResample <X >: Resample a region of a data grid

- astRemoveRegions: Remove any Regions from a Mapping

- astSimplify: Simplify a Mapping

- astTran1: Transform 1-dimensional coordinates

- astTran2: Transform 2-dimensional coordinates

- astTranN: Transform N-dimensional coordinates

- astTranP: Transform N-dimensional coordinates held in separate arrays

Copyright (C) 2021 East Asian Observatory